Status: Closed

Priority: High

Assignee:

Category: Data Provider/PostGIS

Affected QGIS version:2.18.16 Regression?: Yes

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 25950

Description

Using version 2.18.16 and loading rasters from postgis causes a minidump. I moved back to 2.14.22 and am not having the issue.

I reinstalled 2.18.16 and got the same minidump errors.

I am only getting this error on an AWS RDS instance where postgis is installed into schema 'postgis' instead of schema 'public'

History

#1 - 2018-02-22 07:43 PM - Giovanni Manghi

- Priority changed from Normal to High

#2 - 2018-05-19 11:37 AM - Even Rouault

I've tried on Linux with GDAL 2.4.0dev and postgis installed in a 'postgis' schema (following https://postgis.net/2017/11/07/tip-move-postgis-schema/ ) and

cannot reporduce any crash.

Could you give access to the precise database you used in case that makes a difference ?

#3 - 2018-05-19 11:39 AM - Even Rouault

- Status changed from Open to Feedback

Ah and how were the raster loaded: as in-db or out-db raster ? In the later case, this would be a duplicate of https://issues.qgis.org/issues/8073

#4 - 2018-05-21 09:06 AM - Paolo Cavallini

Please check again and report here. If no feedback in 2 weeks, I suggest closing this, as a possible duplicate or anyway solved.

Thanks.

#5 - 2018-08-21 08:43 PM - Giovanni Manghi

- Resolution set to duplicate

- Status changed from Feedback to Closed

Closing for lack of feedback.
